Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.


Infoxicate helps you get return traffic to your website, by sending out surgically accurate updates to your readers.

Do I need an infoxicate publisher account?

Yes, you do. The first screen you'll see on the settings page will ask you to connect your blog to Infoxicate. You'll be taken to infoxicate publisher's website in order to signup or login, and will be redirected back to your admin panel once connected.

Requires: 3.0 or higher
Compatible up to: 3.5.2
Last Updated: 2 years ago
Active Installs: Less than 10


0 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.